#import "Contact.h"

@implementation Contact
@synthesize name, address, phone, email, site, twitter;

//----------------------------------------------------
// METHODS
//----------------------------------------------------
+ (Contact *) buildWithDictionary: (NSDictionary *)dictionary {

    // Create a memory space into device
    Contact *c = [[Contact alloc] init];
    
    // Set all attributes by the NSDictionary
    c.name    = [dictionary objectForKey:@"nome"];
    c.email   = [dictionary objectForKey:@"email"];
    c.address = [dictionary objectForKey:@"endereco"];
    c.phone   = [dictionary objectForKey:@"telefone"];
    c.site    = [dictionary objectForKey:@"site"];
    c.twitter = [dictionary objectForKey:@"twitter"];

    // Return the contact
    return c;
    
}


@end
